Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Release 0.9.1-1

  • Loading branch information...
commit 5312e154b304588230deaefb0bf2a5730f07cc39 1 parent 480b86f
@rauchg rauchg authored
Showing with 7 additions and 2 deletions.
  1. +5 −0 History.md
  2. +1 −1  lib/socket.io.js
  3. +1 −1  package.json
View
5 History.md
@@ -1,4 +1,9 @@
+0.9.1-1 / 2012-03-02
+====================
+
+ * Bumped client with NPM dependency fix.
+
0.9.1 / 2012-03-02
==================
View
2  lib/socket.io.js
@@ -15,7 +15,7 @@ var client = require('socket.io-client');
* Version.
*/
-exports.version = '0.9.1';
+exports.version = '0.9.1-1';
/**
* Supported protocol version.
View
2  package.json
@@ -1,6 +1,6 @@
{
"name": "socket.io"
- , "version": "0.9.1"
+ , "version": "0.9.1-1"
, "description": "Real-time apps made cross-browser & easy with a WebSocket-like API"
, "homepage": "http://socket.io"
, "keywords": ["websocket", "socket", "realtime", "socket.io", "comet", "ajax"]

4 comments on commit 5312e15

@samtsai

I'm having issues npm installing the latest release
npm http GET https://registry.npmjs.org/socket.io
npm http 304 https://registry.npmjs.org/socket.io
npm ERR! error installing socket.io@0.9.1-1

npm ERR! Error: ENOENT, no such file or directory '/Users/tsaisa/Code/Projects/mixtape/node_modules/socket.io/package.json'
npm ERR! You may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com
npm ERR!
npm ERR! System Darwin 10.8.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "socket.io"
npm ERR! cwd /Users/tsaisa/Code/Projects/mixtape
npm ERR! node -v v0.6.12
npm ERR! npm -v 1.1.4
npm ERR! path /Users/tsaisa/Code/Projects/mixtape/node_modules/socket.io/package.json
npm ERR! code ENOENT
npm ERR! message ENOENT, no such file or directory '/Users/tsaisa/Code/Projects/mixtape/node_modules/socket.io/package.json'
npm ERR! errno {}
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/tsaisa/Code/Projects/mixtape/npm-debug.log
npm not ok

Thanks!

@samtsai

I should note npm install socket.io@0.9.1 works fine

@samtsai

Turns out it was a perms issues. I fixed it by removing .npm in my user directory and re-tried npm install and it's good.

@rauchg
Owner
Please sign in to comment.
Something went wrong with that request. Please try again.